function [f, df] = fdgradobj(x, func, varargin)
% FDGRADOBJ objective function wrapper for fdgrad
%
%    [f, df] = fdgradobj(x, func, P1, P2, ...)
%
% func
%     ... may be a cell, then first entry is used as func and the remaining as P1, P2, ...

% js@imm.dtu.dk, January 26, 2002

if iscell(func)
  varargin = {func{2:end}, varargin{:}};
  func = func{1};
end

[f, df] = fdgrad(func, x, [], 0, varargin{:});