function [cp, dcp] = mapped_model(x, coarse, xk, zk, B, varargin)
% A mapped model for the space mapping method
%
%   c(p_k(x))
%
% where p_k(x) = B_k * (x - x_k) + z_k is
% a linear approximation to the mapping
%
% [function used in space mapping algorithms]

% js@imm.dtu.dk, January 19, 2003

if nargout > 1
  [cp, dcp] = feval(coarse, B * (x - xk) + zk, varargin{:});
  dcp = dcp * B;
else
  cp = feval(coarse, B * (x - xk) + zk, varargin{:});
end
