function Hf = smmerit(H, f)
% Calculate the merit H of a given response f
%
%    Hf = smmerit(H, f)
%
% H : merit function
% f : model response
%
% Hf : H(f)

% js@imm.dtu.dk, January 18, 2003

switch H
case 'minimax'
  Hf = max(f);
case inf
  Hf = norm(f, inf);
case 2
  Hf = norm(f, 2);
otherwise
  if isnumeric(H), s = num2str(H); else s = H; end
  error(sprintf('the merit function "%s" is not implemented', s))
end