function [A, b, Aeq, beq] = split_constraints(A, b, eq)
% Split constraints into equality and inequality constraints
%
%    [A, b, Aeq, beq] = split_constraints(A, b, eq)
%


if eq > 0
  Aeq = A(1:eq,:);
  if eq < size(A, 1)
    A = A(eq+1:end, :);
    b = b(eq+1:end);
  else
    A = [];
    b = [];
  end
  beq = b(1:eq);
else
  Aeq = [];
  beq = [];
end
