function [f, df] = quadratic(x, p)
% Three quadratic functions
%
%   [f, df] = quadratic(x, p)
%
% p is a vector with indices of the functions to be used
% by default all three functions are used

% js@imm.dtu.dk, November 18, 2002

if nargin < 2, p = []; end

f = [.5 * x(1)^2            + .1 * x(2)^2 - 2 * x(2) - 2;
     .2 * x(1)^2            + .1 * x(2)^2 + 2 * x(2) - 2;
     .1 * x(1)^2 - 3 * x(1) + .2 * x(2)^2            - 2];

if length(p) > 0
  f = f(p);
end

if nargout > 1
  df = [x(1)            0.2 * x(2) - 2;
        0.4 * x(1)      0.2 * x(2) + 2;
        0.2 * x(1) - 3  0.4 * x(2)];
      
  if length(p) > 0
    df = df(p, :);
  end
end
