function [c, dc] = quadraticc(z, t)
% coarse model, three quadratic functions
%
%   [c, dc] = quadraticc(z, t)
%
% response functions from quadraticff are added t

% js@imm.dtu.dk, January 22, 2002

% shift the parameter space
z = z - 0.1;

if nargout < 2
  c = quadraticf(z);
else
  [c, dc] = quadraticf(z);
end

% add constant to response
c = c + t;
