function [f, df] = rlccspec(x, t)
% Evaluate the rlccc model and return the residuals
% between model responses and the specifications

% js@imm.dtu.dk, January 18, 2003

idx1 = find(t.state <= 2.5 | t.state >= 3.5);
idx2 = find(t.state >= 2.95 & t.state <= 3.05);
idx3 = setdiff((1:length(t.state))', union(idx1, idx2));
if nargout > 1
  [f, df] = rlcc(x, t);
else
  f = rlcc(x, t);
end
f(idx1) = 0.8 - f(idx1);
f(idx2) = f(idx2) - 0.2;
f(idx3) = f(idx3) - 1;
if nargout > 1
  df(idx1, :) = -df(idx1, :);
end