function [f, J] = rosenf(x, varargin)
% Rosenbrocks function
%
%    [f, J] = rosenf(x)
%
% returns
%
%  f(1) = 10 * (x(2) - x(1)^2)
%  f(2) = 1 - x(1)
%  f(3:4) = -f(1:2)
%
%  J is the corresponding Jacobian matrix

% js@imm.dtu.dk, January 9, 2003

f = [10 * (x(2) - x(1)^2); 1 - x(1)];
f = [f; -f];

if  nargout > 1
  J = [-20 * x(1)  10; -1  0];
  J = [J; -J];
end

